import request from '@/utils/request'

// 查询特种设备锅炉台账列表
export function listDevgl(query) {
  return request({
    url: '/sems/devgl/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备锅炉台账详细
export function getDevgl(id) {
  return request({
    url: '/sems/devgl/' + id,
    method: 'get'
  })
}

// 新增特种设备锅炉台账
export function addDevgl(data) {
  return request({
    url: '/sems/devgl',
    method: 'post',
    data: data
  })
}

// 修改特种设备锅炉台账
export function updateDevgl(data) {
  return request({
    url: '/sems/devgl',
    method: 'put',
    data: data
  })
}

// 删除特种设备锅炉台账
export function delDevgl(id) {
  return request({
    url: '/sems/devgl/' + id,
    method: 'delete'
  })
}

// 导出特种设备锅炉台账
export function exportDevgl(query) {
  return request({
    url: '/sems/devgl/export',
    method: 'get',
    params: query
  })
}
